  
SmsEncodedLength = (function () {
  var cls = function SmsEncodedLength() {
      this.segmentCount = new Number();
      this.characterCountLastSegment = new Number();
      this.charactersPerSegment = new Number();
      this.byteCountLastSegment = new Number();
      this.bytesPerSegment = new Number();
    };
  return cls;
}) ();
exports.SmsEncodedLength = SmsEncodedLength;


_SmsMessageClass = function () {
  this.none = 0;
  this.class0 = 1;
  this.class1 = 2;
  this.class2 = 3;
  this.class3 = 4;
}
exports.SmsMessageClass = new _SmsMessageClass();

_SmsDataFormat = function () {
  this.unknown = 0;
  this.cdmaSubmit = 1;
  this.gsmSubmit = 2;
  this.cdmaDeliver = 3;
  this.gsmDeliver = 4;
}
exports.SmsDataFormat = new _SmsDataFormat();

_SmsEncoding = function () {
  this.unknown = 0;
  this.optimal = 1;
  this.sevenBitAscii = 2;
  this.unicode = 3;
  this.gsmSevenBit = 4;
}
exports.SmsEncoding = new _SmsEncoding();

_SmsMessageFilter = function () {
  this.all = 0;
  this.unread = 1;
  this.read = 2;
  this.sent = 3;
  this.draft = 4;
}
exports.SmsMessageFilter = new _SmsMessageFilter();

_SmsMessageType = function () {
  this.binary = 0;
  this.text = 1;
}
exports.SmsMessageType = new _SmsMessageType();

_CellularClass = function () {
  this.none = 0;
  this.gsm = 1;
  this.cdma = 2;
}
exports.CellularClass = new _CellularClass();

_SmsDeviceStatus = function () {
  this.off = 0;
  this.ready = 1;
  this.simNotInserted = 2;
  this.badSim = 3;
  this.deviceFailure = 4;
  this.subscriptionNotActivated = 5;
  this.deviceLocked = 6;
  this.deviceBlocked = 7;
}
exports.SmsDeviceStatus = new _SmsDeviceStatus();

ISmsMessage = (function () {
  var cls = function ISmsMessage() {
    this.id = new Number();
    this.messageClass = new SmsMessageClass();
  };
  

  return cls;
}) ();
exports.ISmsMessage = ISmsMessage;

ISmsBinaryMessage = (function () {
  var cls = function ISmsBinaryMessage() {
    this.format = new SmsDataFormat();
  };
  

  cls.prototype.getData = function getData() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Array<Number>" />
    /// </signature>
    return new Array<Number>();
  }


  cls.prototype.setData = function setData(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="Array<Number>">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.ISmsBinaryMessage = ISmsBinaryMessage;

SmsBinaryMessage = (function () {
  var cls = function SmsBinaryMessage() {
    this.id = new Number();
    this.messageClass = new SmsMessageClass();
    this.format = new SmsDataFormat();
  };
  

  cls.prototype.getData = function getData() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Array<Number>" />
    /// </signature>
    return new Array<Number>();
  }


  cls.prototype.setData = function setData(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="Array<Number>">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.SmsBinaryMessage = SmsBinaryMessage;

ISmsTextMessage = (function () {
  var cls = function ISmsTextMessage() {
    this.body = new String();
    this.encoding = new SmsEncoding();
    this.from = new String();
    this.partCount = new Number();
    this.partNumber = new Number();
    this.partReferenceId = new Number();
    this.timestamp = new Date();
    this.to = new String();
  };
  

  cls.prototype.toBinaryMessages = function toBinaryMessages(format) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="format" type="SmsDataFormat">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  return cls;
}) ();
exports.ISmsTextMessage = ISmsTextMessage;

SmsTextMessage = (function () {
  var cls = function SmsTextMessage() {
    this.to = new String();
    this.from = new String();
    this.encoding = new SmsEncoding();
    this.body = new String();
    this.partCount = new Number();
    this.partNumber = new Number();
    this.partReferenceId = new Number();
    this.timestamp = new Date();
    this.id = new Number();
    this.messageClass = new SmsMessageClass();
  };
  

  cls.prototype.toBinaryMessages = function toBinaryMessages(format) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="format" type="SmsDataFormat">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.fromBinaryMessage = function fromBinaryMessage(binaryMessage) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="binaryMessage" type="SmsBinaryMessage">A param.</param>
    /// <returns type="SmsTextMessage" />
    /// </signature>
    return new SmsTextMessage();
  }


  cls.fromBinaryData = function fromBinaryData(format, value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="format" type="SmsDataFormat">A param.</param>
    /// <param name="value" type="Array<Number>">A param.</param>
    /// <returns type="SmsTextMessage" />
    /// </signature>
    return new SmsTextMessage();
  }


  return cls;
}) ();
exports.SmsTextMessage = SmsTextMessage;

DeleteSmsMessageOperation = (function () {
  var cls = function DeleteSmsMessageOperation() {
    this.completed = new Object();
    this.errorCode = new Number();
    this.id = new Number();
    this.status = new Number();
  };
  

  cls.prototype.getResults = function getResults() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.cancel = function cancel() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.close = function close() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  return cls;
}) ();
exports.DeleteSmsMessageOperation = DeleteSmsMessageOperation;

DeleteSmsMessagesOperation = (function () {
  var cls = function DeleteSmsMessagesOperation() {
    this.completed = new Object();
    this.errorCode = new Number();
    this.id = new Number();
    this.status = new Number();
  };
  

  cls.prototype.getResults = function getResults() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.cancel = function cancel() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.close = function close() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  return cls;
}) ();
exports.DeleteSmsMessagesOperation = DeleteSmsMessagesOperation;

GetSmsMessageOperation = (function () {
  var cls = function GetSmsMessageOperation() {
    this.completed = new Object();
    this.errorCode = new Number();
    this.id = new Number();
    this.status = new Number();
  };
  

  cls.prototype.getResults = function getResults() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="ISmsMessage" />
    /// </signature>
    return new ISmsMessage();
  }


  cls.prototype.cancel = function cancel() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.close = function close() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  return cls;
}) ();
exports.GetSmsMessageOperation = GetSmsMessageOperation;

GetSmsMessagesOperation = (function () {
  var cls = function GetSmsMessagesOperation() {
    this.errorCode = new Number();
    this.id = new Number();
    this.status = new Number();
    this.progress = new Object();
    this.completed = new Object();
  };
  

  cls.prototype.getResults = function getResults() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.cancel = function cancel() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.close = function close() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  return cls;
}) ();
exports.GetSmsMessagesOperation = GetSmsMessagesOperation;

SmsDeviceMessageStore = (function () {
  var cls = function SmsDeviceMessageStore() {
    this.maxMessages = new Number();
  };
  

  cls.prototype.deleteMessageAsync = function deleteMessageAsync(messageId, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="messageId" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.deleteMessagesAsync = function deleteMessagesAsync(messageFilter, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="messageFilter" type="SmsMessageFilter">A param.</param>
    /// </signature>
  }


  cls.prototype.getMessageAsync = function getMessageAsync(messageId, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="messageId" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.getMessagesAsync = function getMessagesAsync(messageFilter, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="messageFilter" type="SmsMessageFilter">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.SmsDeviceMessageStore = SmsDeviceMessageStore;

SendSmsMessageOperation = (function () {
  var cls = function SendSmsMessageOperation() {
    this.completed = new Object();
    this.errorCode = new Number();
    this.id = new Number();
    this.status = new Number();
  };
  

  cls.prototype.getResults = function getResults() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.cancel = function cancel() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.close = function close() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  return cls;
}) ();
exports.SendSmsMessageOperation = SendSmsMessageOperation;

SmsMessageReceivedEventArgs = (function () {
  var cls = function SmsMessageReceivedEventArgs() {
    this.binaryMessage = new SmsBinaryMessage();
    this.textMessage = new SmsTextMessage();
  };
  

  return cls;
}) ();
exports.SmsMessageReceivedEventArgs = SmsMessageReceivedEventArgs;

SmsDevice = (function () {
  var cls = function SmsDevice() {
    this.accountPhoneNumber = new String();
    this.cellularClass = new CellularClass();
    this.deviceStatus = new SmsDeviceStatus();
    this.messageStore = new SmsDeviceMessageStore();
  };
  

  cls.prototype.sendMessageAsync = function sendMessageAsync(message, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="message" type="ISmsMessage">A param.</param>
    /// </signature>
  }


  cls.prototype.calculateLength = function calculateLength(message) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="message" type="SmsTextMessage">A param.</param>
    /// <returns type="SmsEncodedLength" />
    /// </signature>
    return new SmsEncodedLength();
  }


  cls.fromNetworkAccountIdAsync = function fromNetworkAccountIdAsync(networkAccountId, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="networkAccountId" type="String">A param.</param>
    /// </signature>
  }



  cls.fromIdAsync = function fromIdAsync(deviceId, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="deviceId" type="String">A param.</param>
    /// </signature>
  }



  cls.getDefaultAsync = function getDefaultAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }



  cls.getDeviceSelector = function getDeviceSelector() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.SmsDevice = SmsDevice;

GetSmsDeviceOperation = (function () {
  var cls = function GetSmsDeviceOperation() {
    this.completed = new Object();
    this.errorCode = new Number();
    this.id = new Number();
    this.status = new Number();
  };
  

  cls.prototype.getResults = function getResults() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="SmsDevice" />
    /// </signature>
    return new SmsDevice();
  }


  cls.prototype.cancel = function cancel() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.close = function close() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  return cls;
}) ();
exports.GetSmsDeviceOperation = GetSmsDeviceOperation;

ISmsDevice = (function () {
  var cls = function ISmsDevice() {
    this.accountPhoneNumber = new String();
    this.cellularClass = new CellularClass();
    this.deviceStatus = new SmsDeviceStatus();
    this.messageStore = new SmsDeviceMessageStore();
  };
  

  cls.prototype.sendMessageAsync = function sendMessageAsync(message, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="message" type="ISmsMessage">A param.</param>
    /// </signature>
  }


  cls.prototype.calculateLength = function calculateLength(message) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="message" type="SmsTextMessage">A param.</param>
    /// <returns type="SmsEncodedLength" />
    /// </signature>
    return new SmsEncodedLength();
  }


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.ISmsDevice = ISmsDevice;

SmsReceivedEventDetails = (function () {
  var cls = function SmsReceivedEventDetails() {
    this.deviceId = new String();
    this.messageIndex = new Number();
    this.binaryMessage = new SmsBinaryMessage();
    this.messageClass = new SmsMessageClass();
  };
  

  return cls;
}) ();
exports.SmsReceivedEventDetails = SmsReceivedEventDetails;

